Connections
Get a connection
Retrieves the specified connection and its configuration details without including credential values.
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
パス パラメーター
name
string
必須
The friendly name of the connection, provided by the user.
ヘッダー パラメーター
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
応答
The request has succeeded.
ヘッダー
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
本文
name
string
必須
The friendly name of the connection, provided by the user.
id
string
必須
A unique identifier for the connection, generated by the service
type
string | enum
必須
The Type (or category) of the connection
enum
target
string
必須
The connection URL to be used for this service
isDefault
boolean
必須
Whether the connection is tagged as the default connection of its type
credentials
ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview
必須
A base class for connection credentials
ApiKey
ApiKeyCredentials
API Key Credential definition
type
enum
必須
The credential type
key
string
API Key
AAD
EntraIDCredentials
Entra ID credential definition
type
enum
必須
The credential type
CustomKeys
CustomCredential
Custom credential definition
type
enum
必須
The credential type
SAS
SASCredentials
Shared Access Signature (SAS) credential definition
type
enum
必須
The credential type
SAS
string
SAS token
None
NoAuthenticationCredentials
Credentials that do not require authentication
type
enum
必須
The credential type
AgenticIdentityToken_Preview
AgenticIdentityPreviewCredentials
Agentic identity credential definition
type
enum
必須
The credential type
metadata
object
必須
Metadata of the connection
要求
GET /connections/{name} HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json